Package com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation

# Class OpBuildTypeArgumentForApplication

java.lang.Object
com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.OpAbstract
com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.OpBuildTypeArgumentForApplication

All Implemented Interfaces:
  `CBCGSerializerInstantiationOperationType`, `OpBuildTypeArgumentType`, `Comparable<CBCGSerializerInstantiationOperationType>`

public final class OpBuildTypeArgumentForApplication extends OpAbstract implements OpBuildTypeArgumentType
An operation that builds a type argument for the given type application.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpBuildTypeArgumentForApplication(int order, CBQualifiedTypeName inName, String inLocalName, List<OpBuildTypeArgumentType> inArguments)`
  An operation that builds a type argument for the given type application.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `javaLocalName()`
  `com.io7m.jodist.CodeBlock`
  `serialize()`

  ### Methods inherited from class com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.OpAbstract

  `programOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.CBCGSerializerInstantiationOperationType

  `compareTo, programOrder`

- ## Constructor Details

  - ### OpBuildTypeArgumentForApplication

    public OpBuildTypeArgumentForApplication(int order, CBQualifiedTypeName inName, String inLocalName, List<OpBuildTypeArgumentType> inArguments)
    An operation that builds a type argument for the given type application.
    Parameters:
      `order` - The program order
      `inName` - The target type name
      `inLocalName` - The local variable name
      `inArguments` - The list of input type arguments

- ## Method Details

  - ### javaLocalName

    public String javaLocalName()
    Specified by:
      `javaLocalName` in interface `OpBuildTypeArgumentType`
    Returns:
      The java class to which this operation belongs

  - ### serialize

    public com.io7m.jodist.CodeBlock serialize()
    Specified by:
      `serialize` in interface `CBCGSerializerInstantiationOperationType`
    Returns:
      The code block to execute